Subject: unneeded functions invocation-name and invocation-directory?

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Jan 2012 20:09:33 -0500

Package: emacs
Severity: minor
Tags: notabug pending

I can't see why invocation-name and invocation-directory exist as
functions. They just return copies of the associated variables.

The function invocation-directory is never used anywhere in Emacs.
For some reason, invocation-name the function is used more than the
variable, but I don't see why the variable cannot be used (with an
explicit copy-sequence where needed, eg x-initialize-window-system).